Skip to main content
GET
/
commerce
/
vendors
Error
A valid request URL is required to generate request examples
{
  "startIndex": 123,
  "pageSize": 123,
  "pageCount": 123,
  "totalCount": 123,
  "items": [
    {
      "vendorCode": "<string>",
      "tenantId": 123,
      "name": "<string>",
      "status": "<string>",
      "inventoryRefresh": "<string>",
      "contactInfo": {
        "address": {
          "address1": "<string>",
          "address2": "<string>",
          "address3": "<string>",
          "address4": "<string>",
          "cityOrTown": "<string>",
          "stateOrProvince": "<string>",
          "postalOrZipCode": "<string>",
          "countryCode": "<string>",
          "addressType": "<string>",
          "isValidated": true
        },
        "email": "<string>",
        "phone": "<string>"
      },
      "locations": [
        {
          "locationCode": "<string>",
          "receiverId": "<string>",
          "data": "<unknown>"
        }
      ],
      "auditInfo": {
        "updateDate": "2023-11-07T05:31:56Z",
        "createDate": "2023-11-07T05:31:56Z",
        "updateBy": "<string>",
        "createBy": "<string>"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Query Parameters

startIndex
integer<int32>
default:0

Starting index for pagination

pageSize
integer<int32>
default:100

Number of items per page (max 100)

sortBy
string

Sort criteria

filter
string

Filter criteria

responseFields
string

limits which fields are returned in the response body

Response

Success

startIndex
integer<int32>
pageSize
integer<int32>
pageCount
integer<int32>
totalCount
integer<int32>
items
object[] | null